<?php
namespace Xoogu\W3TC;

if (!defined('\W3TC')) {
    die('W3TC not defined');
}

spl_autoload_register (function($sClass)
{
	$sFilename = dirname(__FILE__).'/lib/'.str_replace('\\', '/', $sClass).'.php';
	// if the file exists, require it
    if (file_exists($sFilename)) {
        include_once $sFilename;
    }
});

if (is_admin()) {
	new DynamicShortcodes_Admin(dirname(__FILE__), new ModifyWPConfig());
} else {
	new DynamicShortcodes();
}
